/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.gebietsbaum.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.gebietsbaum.entity.GebietsgruppierungConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(GebietsgruppierungMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class GebietsgruppierungMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietsgruppierungMeta";

  @Inject
  private transient Messages messages;

  public GebietsgruppierungMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getGebietsgruppierungArtEinzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_GEBIETSGRUPPIERUNG_ART_EINZAHL;
  }

  public String getGebietsgruppierungArtMehrzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_GEBIETSGRUPPIERUNG_ART_MEHRZAHL;
  }


  public String getGebietsgruppierungArtEinzahlMessage(){
    return getMessage(getGebietsgruppierungArtEinzahlMessageKey());
  }

  public String getGebietsgruppierungArtMehrzahlMessage(){
    return getMessage(getGebietsgruppierungArtMehrzahlMessageKey());
  }



  public boolean isGebietsgruppierungArtRequired() {
    return !GebietsgruppierungConstants.GEBIETSGRUPPIERUNG_ART_NULLABLE;
  }

  public java.lang.String getGebietsgruppierungArtDefaultValue() {
    return GebietsgruppierungConstants.GEBIETSGRUPPIERUNG_ART_DEFAULT_VALUE;
  }

  public int getGebietsgruppierungArtMaxLength() {
    return GebietsgruppierungConstants.GEBIETSGRUPPIERUNG_ART_MAX_LENGTH;
  }

  public String getNameEinzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }


  public String getNameEinzahlMessage(){
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage(){
    return getMessage(getNameMehrzahlMessageKey());
  }



  public boolean isNameRequired() {
    return !GebietsgruppierungConstants.NAME_NULLABLE;
  }

  public java.lang.String getNameDefaultValue() {
    return GebietsgruppierungConstants.NAME_DEFAULT_VALUE;
  }

  public int getNameMaxLength() {
    return GebietsgruppierungConstants.NAME_MAX_LENGTH;
  }

  public String getNummerEinzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_NUMMER_EINZAHL;
  }

  public String getNummerMehrzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_NUMMER_MEHRZAHL;
  }


  public String getNummerEinzahlMessage(){
    return getMessage(getNummerEinzahlMessageKey());
  }

  public String getNummerMehrzahlMessage(){
    return getMessage(getNummerMehrzahlMessageKey());
  }



  public boolean isNummerRequired() {
    return !GebietsgruppierungConstants.NUMMER_NULLABLE;
  }

  public java.lang.String getNummerDefaultValue() {
    return GebietsgruppierungConstants.NUMMER_DEFAULT_VALUE;
  }

  public int getNummerMaxLength() {
    return GebietsgruppierungConstants.NUMMER_MAX_LENGTH;
  }

  public String getPositionEinzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_POSITION_EINZAHL;
  }

  public String getPositionMehrzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_POSITION_MEHRZAHL;
  }


  public String getPositionEinzahlMessage(){
    return getMessage(getPositionEinzahlMessageKey());
  }

  public String getPositionMehrzahlMessage(){
    return getMessage(getPositionMehrzahlMessageKey());
  }



  public boolean isPositionRequired() {
    return !GebietsgruppierungConstants.POSITION_NULLABLE;
  }

  public java.lang.Long getPositionDefaultValue() {
    return GebietsgruppierungConstants.POSITION_DEFAULT_VALUE;
  }

  public int getPositionMaxLength() {
    return GebietsgruppierungConstants.POSITION_MAX_LENGTH;
  }

  public long getPositionMinValue() {
    return GebietsgruppierungConstants.POSITION_MIN_VALUE;
  }

  public long getPositionMaxValue() {
    return GebietsgruppierungConstants.POSITION_MAX_VALUE;
  }

  public String getVerwaltungsartEinzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_VERWALTUNGSART_EINZAHL;
  }

  public String getVerwaltungsartMehrzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_VERWALTUNGSART_MEHRZAHL;
  }


  public String getVerwaltungsartEinzahlMessage(){
    return getMessage(getVerwaltungsartEinzahlMessageKey());
  }

  public String getVerwaltungsartMehrzahlMessage(){
    return getMessage(getVerwaltungsartMehrzahlMessageKey());
  }



  public boolean isVerwaltungsartRequired() {
    return !GebietsgruppierungConstants.VERWALTUNGSART_NULLABLE;
  }

  public de.ivu.elect.business.gebietsbaum.entity.Verwaltungsart getVerwaltungsartDefaultValue() {
    return GebietsgruppierungConstants.VERWALTUNGSART_DEFAULT_VALUE;
  }



  public String getWahlterminEinzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_WAHLTERMIN_ID_EINZAHL;
  }

  public String getWahlterminEinzahlMessage(){
    return getMessage(getWahlterminEinzahlMessageKey());
  }

  public boolean isWahlterminRequired() {
    return !GebietsgruppierungConstants.WAHLTERMIN_ID_NULLABLE;
  }


  public String getWahlEinzahlMessageKey(){
    return GebietsgruppierungConstants.MESSAGE_KEY_WAHL_ID_EINZAHL;
  }

  public String getWahlEinzahlMessage(){
    return getMessage(getWahlEinzahlMessageKey());
  }

  public boolean isWahlRequired() {
    return !GebietsgruppierungConstants.WAHL_ID_NULLABLE;
  }

}